org.codehaus.groovy.binding

## Class ClosureSourceBinding

- java.lang.Object
- - org.codehaus.groovy.binding.ClosureSourceBinding

All Implemented Interfaces:
  SourceBinding

    public class ClosureSourceBinding
    extends Object
    implements SourceBinding

Since:
  Groovy 1.1
Version:
  $Revision: 7802 $
Author:
  Danno Ferrin

### Constructor Summary

Constructors
Constructor and Description
`ClosureSourceBinding(Closure closure)`
`ClosureSourceBinding(Closure closure, Object[] arguments)`

### Method Summary

Methods
`Closure` `getClosure()`
`Object` `getSourceValue()`
`void` `setClosure(Closure closure)`
`void` `setClosureArgument(Object argument)`
`void` `setClosureArguments(Object[] arguments)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure)

#### ClosureSourceBinding

    public ClosureSourceBinding(Closure closure,
                        Object[] arguments)

### Method Detail

#### getClosure

    public Closure getClosure()

#### setClosure

    public void setClosure(Closure closure)

#### getSourceValue

    public Object getSourceValue()

Specified by:
  `getSourceValue` in interface `SourceBinding`

#### setClosureArguments

    public void setClosureArguments(Object[] arguments)

#### setClosureArgument

    public void setClosureArgument(Object argument)